
#include "bpb.h"
#include <stdio.h>
#include "dglobal.h"

/****************************************************************/
/*                                                              */
/*	PRTBPB	 () - Main function				*/
/*                                                              */
/****************************************************************/

main (argc, argv)
  int argc;
  char **argv;
{
  int d;

        if (argc != 2)  {
		cprintf ("\nUsage: PRTBPB D:");
                cprintf ("\n    D: = Drive Id.\n");
                return 8;
        }
        d = toupper (*(argv [1])) - 'A';
        d =  loadbpb (d);
        int_err (d, "Reading Boot Record");
        d = loadfat (&FAT);
        int_err (d, "Loading FATs");
        return (0);
}

int_err (err, s)
  int err;
  char *s;
{
  static char *msg[] =  {
        "DOS Disk Error Code = %d",
        "No error",
        "Insufficient Memory",
        "Compare Error",
        NULL       } ;
  int i;
  char buf [80];

        if ((err & 0xff00) == 0x8000)  { i = 0; err &= 0xff;  }
        else  i = -(err - 1);
        sprintf (buf, msg [i], err);
        cprintf ("\n%s  %s", buf, s);
        if (i != 1) exit (8);
        return i;
}
